at.chipkarte.client.elgaad.soap

## Class EinzeldosierungTage

- Object
- - at.chipkarte.client.elgaad.soap.EinzeldosierungTage

-     public class EinzeldosierungTage
      extends Object

  Angaben zur Einzeldosierung an bestimmten Tagen.
  Das Objekt wird in unterschiedlichen Funktionen und Objekten verwendet. Die Angabe- bzw. Versorgungsbedingungen der einzelnen Parameter sind dabei abhängig ob das Objekt für die Eingabe oder Ausgabe verwendet wird.
  Die Bedingungen für die Angabe bei Nutzung als Eingabeobjekt, sind für dieses Objekt bei den Parametern unter "Eingabebedingung" angegeben. Hierbei wird zusätzlich unterschieden, ob die Einzeldosierung an bestimmten Tages zwecks "Erfassung" oder "Änderung" angegeben wird.
  Die Bedingungen für die Befüllung der Parameter bei Nutzung als Ausgabeobjekt, sind bei den Parametern unter "Ausgabebedingung" angegeben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EinzeldosierungTage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getEinnahmeTagList()` Wochentage der Einnahme.
    `Einzeldosierung[]` | `getEinzeldosierungList()` Einzeldosierungen.
    `void` | `setEinnahmeTagList(String[] einnahmeTagList)`
    `void` | `setEinzeldosierungList(Einzeldosierung[] einzeldosierungList)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EinzeldosierungTage

          public EinzeldosierungTage()

  - ### Method Detail

    - #### getEinzeldosierungList

          public Einzeldosierung[] getEinzeldosierungList()

      Einzeldosierungen.
      Eingabebedingung:
      Erfassung: Muss.
      Änderung: Muss.
      Ausgabebedingung: Muss.
      Returns:
        Liste der Einzeldosierungen

    - #### setEinzeldosierungList

          public void setEinzeldosierungList(Einzeldosierung[] einzeldosierungList)

    - #### getEinnahmeTagList

          public String[] getEinnahmeTagList()

      Wochentage der Einnahme.
      Eingabebedingung:
      Erfassung: Muss.
      Änderung: Muss.
      Ausgabebedingung: Muss.
      mögliche Werte: Siehe `WochentageConstants`.
      Returns:
        Liste der Einnahmetage

    - #### setEinnahmeTagList

          public void setEinnahmeTagList(String[] einnahmeTagList)